Get Defined Entity Types
Gets the collection of entity types defined in the Provider Management instance. Allows collection refinement through traditional FIQL-based filtering
Gets the collection of entity types defined in the Provider Management instance. Allows collection refinement through traditional FIQL-based filtering
Request
URI
GET
https://{api_host}/cloudapi/1.0.0/entityTypes/
COPY
Query Parameters
string
filter
Optional
Filter for a query. FIQL format.
string
sortAsc
Optional
Field to use for ascending sort
string
sortDesc
Optional
Field to use for descending sort
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
Ok
Returns
DefinedEntityTypes
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineDefinedEntityTypes1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"id": "urn:vcloud:type:vmware:vspheresddc:1.0.0",
"name": "vspheresddc",
"description": "string",
"nss": "sddc",
"version": "1.1.0",
"inheritedVersion": "1.0.0",
"externalId": "123",
"schema": {
"application/json": {
"type": "object",
"properties": {
"width": {
"type": "number",
"minimum": 0
},
"height": {
"type": "number",
"minimum": 0
}
}
}
},
"vendor": "vmware",
"interfaces": [
"urn:vcloud:interface:vmware.sddc:1.0.0"
],
"hooks": {
"hooks": {}
},
"readonly": false,
"maxImplicitRight": "urn:vcloud:accessLevel:ReadWrite"
}
]
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/entityTypes/?page=value&pageSize=v
Availability
Added in 35.0
On This Page
Defined Entity Type Operations
GET
Get Defined Entity Types
GET
Get Defined Entity Type